summaryrefslogtreecommitdiff
path: root/qa/469
diff options
context:
space:
mode:
Diffstat (limited to 'qa/469')
-rwxr-xr-xqa/46953
1 files changed, 53 insertions, 0 deletions
diff --git a/qa/469 b/qa/469
new file mode 100755
index 0000000..76a049d
--- /dev/null
+++ b/qa/469
@@ -0,0 +1,53 @@
+#! /bin/sh
+# PCP QA Test No. 469
+# test for long help text exceeding maximum length
+#
+# Don't test the libirixpmda help text metrics here.
+# Test them in the libirixpmda QA
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+. ./localconfig
+if [ $PCP_EOE_VER -eq 2000 ]
+then
+ echo "Do not run this test with PCP 2.0" >$seq.notrun
+ echo "$seq: [not run] `cat $seq.notrun`"
+ exit 0
+fi
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+maxlen=84
+
+# assumes metric length (i.e. line with metric name) is less than $maxlen
+pminfo -T \
+| $PCP_AWK_PROG -v maxlen=$maxlen '
+function skip_me(m)
+{
+ return (m == "kernel.percpu.interrupts.line21" || m ~ "^papi")
+}
+/Help:/ { metric = line; next }
+{
+ if (skip_me(metric)) next
+ line = $0
+ if (length(line) > maxlen && metric != lastone) {
+ printf "%s, full help text is too long: %d\n", metric, length(line)
+ lastone = metric
+ }
+}
+'
+
+# success, all done
+status=0
+exit